package eu.mhsl.minenet.minigames.instance.game.stateless.types.towerdefense.towers;

import net.minestom.server.entity.EntityCreature;
import net.minestom.server.entity.EntityType;
import net.minestom.server.entity.attribute.Attribute;
import net.minestom.server.item.ItemStack;
import net.minestom.server.item.Material;

public class SkeletonTower extends Tower {
    public SkeletonTower() {
        super(EntityType.SKELETON, 1, 300, 20);
        this.setItemInMainHand(ItemStack.of(Material.BOW));
    }

    @Override
    protected void shoot(EntityCreature enemy) {
        this.shootProjectile(enemy, EntityType.ARROW, 2, 0);
    }

    @Override
    protected void onEnemyHit(EntityCreature enemy) {
        enemy.getAttribute(Attribute.MOVEMENT_SPEED).setBaseValue(enemy.getAttribute(Attribute.MOVEMENT_SPEED).getBaseValue()*0.5);
    }
}
